Time tracking
List time categories
Returns the list of time categories defined at the workspace level.
GET
/
{team_id}
/
time
/
categories
List time categories
curl --request GET \
--url https://api.superthread.com/v1/{team_id}/time/categories \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.superthread.com/v1/{team_id}/time/categories"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.superthread.com/v1/{team_id}/time/categories', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"time_categories": [
{
"id": "tc_01HQK6Z9YJZ4M9JX8FVB6QXYAB",
"type": "time_category",
"team_id": "tDsu0j19",
"name": "Internal meetings",
"billable_default": false,
"color": "fog",
"archived_at": 1608742037016
}
]
}{
"error": {
"id": "err5f744ab",
"code": 403,
"sec": "SEC:000-00014",
"message": "You do not have access to this resource",
"date": 1608742037016
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Team ID is an alphanumerical string that identifies a Team. This is externally referred to as a "Workspace".
Response
List of time categories
Show child attributes
Show child attributes
⌘I
List time categories
